corda / net.corda.core.crypto / Crypto / generateKeyPair

# generateKeyPair

`fun generateKeyPair(schemeCodeName: String): KeyPair`

Utility to simplify the act of generating keys. Normally, we don't expect other errors here, assuming that key generation parameters for every supported signature scheme have been unit-tested.

### Parameters

`schemeCodeName` - a signature scheme's code name (e.g. ECDSA_SECP256K1_SHA256).

### Exceptions

`IllegalArgumentException` - if the requested signature scheme is not supported.

Return
a KeyPair for the requested scheme.

`fun generateKeyPair(): KeyPair`

Generate a KeyPair using the default signature scheme.

Return
a new KeyPair.